Act API
List deals
Requires an authenticated user with access to the deal’s AI. Application service accounts cannot act as an unverified end user.
GET
/
act
/
deals
List deals
curl --request GET \
--url https://api.darwin.so/api/v2/act/deals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v2/act/deals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v2/act/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deals": [
{
"id": "<string>",
"aiId": "<string>",
"goalId": "<string>",
"mode": "BUY",
"direction": "demand",
"title": "<string>",
"status": "draft",
"visibility": "PUBLIC",
"terms": {},
"counterparty": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"taskId": "<string>",
"accessPolicyId": "<string>",
"traceId": "<string>",
"sentAt": "2023-11-07T05:31:56Z",
"respondedAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
Production keys begin with darwin_. Isolated sandbox keys begin with darwin_test_. Create keys in Developer settings.
Query Parameters
Optional explicit AI scope. When omitted, Darwin uses the caller’s selected AI.
Response
Deals for the selected AI.
Show child attributes
Show child attributes
⌘I
List deals
